%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         jstemmer
%global repo            gotags
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          448fb8273e6db2f78787738c0a42c22bd59954e3
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           gotags
Version:        0
Release:        0.5.git%{shortcommit}%{?dist}
Summary:        ctags-compatible tag generator for Go 
License:        MIT
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
ExclusiveArch:  %{go_arches}

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build
go build -o gotags

%install
install -D -p -m 0755 %{name} %{buildroot}%{_bindir}/%{name}

install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav tests %{buildroot}/%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

%files
%doc README.md LICENSE
%{_bindir}/%{name}

%files devel
%doc README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git448fb82
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.git448fb82
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep  1 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0-0.3.git448fb82
- Use go_arches macro instead of fixed arch list

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.git448fb82
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git448fb82
- First package for Fedora
  resolves: #1193902
